Subject: [ippm] Re: IPPM MIB

From: "Henk Uijterwaal (RIPE NCC)" <[email-masked]>
Date: Fri, 1 Oct 2004 14:53:14 +0200 (CEST)

IPPM group,

On August 16, I posted the note below regarding the IPPM MIB.

If you planned to respond to this mail, please do so before Wednesday
October 6.  On Wednesday, the chairs will make a decision on the future
of this work.

Henk

On Mon, 16 Aug 2004, Henk Uijterwaal (RIPE NCC) wrote:

> IPPM group,
>
> Since the IPPM WG meeting in Seoul, there have been several discussions
> (both public and private) between Emile Stephan, Andy Bierman (the IPPM
> MIB technical advisor), the chairs of the WG and several others, on how to
> proceed with the IPPM MIB document (draft-ietf-ippm-reporting-mib-06.txt).
> This mail summarizes the discussions and proposes a way forward.
>
> We all agree that even though the current draft is in its 6th iteration,
> there has been very little feedback from the WG on its contents.  The
> chairs did receive some informal comments on the document, these can be
> summarized as "the document and MIB are too complex".
>
> A proposal has been made to for a simpler approach, based on a ring buffer
> to store individual measurements.  While this looked nice in theory, in
> practice it is probably not possible to store and retrieve individual
> measurements in a MIB at a rate of the order of 1Hz or more. In other
> words, a MIB can only be used to report aggregate information, where the
> aggregation is done either on demand or by default at regular intervals.
>
> As the next steps, we propose:
>
> 1. The mailing list will be asked to provide feedback on the question
>    what information they would like to see in the management interface
>    of a network measurement system. (See below).
>
> 2. When there is consensus on this question, we will look at existing
>    MIB's (in particular the RMONMIB TPM-MIB) to see what is
>    already there to satisfy the requirements generated in the previous
>    step and what has to be defined in our group.
>
> 3. The existing document will be rewritten to define whatever has to be
>    defined and nothing more.
>
> If there is little or no feedback on step 1, we will conclude that there
> is no interest in an IPPM at the moment.  In that case, the existing
> document will be finished and a published as an informational RFC.
>
> To start, the first questions we would like to see answered, are:
>
> * What information would you like to see in a management interface of a
>   measurement system?
> * What action would you like to take with a management interface of a
>   measurement system?
> * Do you have requests from the users of your implementation of the
>   IPPM metrics for an interface between the measurement system and
>   a network management system (NMS)?
>
> Please note the constraint mentioned above. It also should be noted that
> some of the IPPM metrics implementations do not use a MIB but do report
> aggregated information in other formats (CSV, XML, graphical, ...)  This
> is information that could (potentially) be reported in a MIB as well.
>
> We invite everybody to comment on both the procedure and the questions
> above before September 30,
>
> Henk

------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

In a room with a window in the corner, I found truth.            (Ian Curtis)

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm